input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
textarea:-webkit-autofill,
textarea:-webkit-autofill:hover,
textarea:-webkit-autofill:focus,
select:-webkit-autofill,
select:-webkit-autofill:hover,
select:-webkit-autofill:focus {
  -webkit-box-shadow: 0 0 0px 1000px #ffffff inset;
          box-shadow: 0 0 0px 1000px #ffffff inset;
  -webkit-transition: background-color 5000s ease-in-out 0s;
  transition: background-color 5000s ease-in-out 0s;
}

@-webkit-keyframes loader {
  0% {
    -webkit-transform: scale(1);
            transform: scale(1);
    opacity: 1;
  }
  100% {
    -webkit-transform: scale(0);
            transform: scale(0);
    opacity: 0;
  }
}

@keyframes loader {
  0% {
    -webkit-transform: scale(1);
            transform: scale(1);
    opacity: 1;
  }
  100% {
    -webkit-transform: scale(0);
            transform: scale(0);
    opacity: 0;
  }
}

*, ::after, ::before {
  outline: unset;
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
}

/* width */
::-webkit-scrollbar {
  width: 7px;
  height: 7px;
}

/* Track */
::-webkit-scrollbar-track {
  background: #ffffff;
  border-radius: 10px;
}

/* Handle */
::-webkit-scrollbar-thumb {
  background: #0075e2;
  border-radius: 10px;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  opacity: 0.8;
}

button {
  cursor: pointer;
}

.d-none {
  display: none;
}

body {
  font-family: 'Open Sans', 'Helvetica Neue', sans-serif;
  color: #444444;
  margin: 0;
}

body .row {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
}

body .row.space-between {
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
}

body .row .col.auto {
  width: -webkit-fit-content;
  width: -moz-fit-content;
  width: fit-content;
}

body .row .col.col-1 {
  width: 8.33%;
}

body .row .col.col-2 {
  width: 16.66%;
}

body .row .col.col-3 {
  width: 25%;
}

body .row .col.col-4 {
  width: 33.33%;
}

body .row .col.col-5 {
  width: 41.66%;
}

body .row .col.col-6 {
  width: 50%;
}

body .row .col.col-7 {
  width: 58.33%;
}

body .row .col.col-8 {
  width: 66.66%;
}

body .row .col.col-9 {
  width: 75%;
}

body .row .col.col-10 {
  width: 83.33%;
}

body .row .col.col-11 {
  width: 91.66%;
}

body .row .col.col-12 {
  width: 100%;
}

body a {
  text-decoration: none;
  font-weight: 600;
}

body .container {
  padding-top: 50px;
  width: 90%;
  margin: auto;
}

body .container .total-data h4 {
  margin: 10px;
  text-align: center;
}

body .nav-navbar {
  background: #ffffff;
  position: relative;
  top: 0;
  left: 0;
  right: 0;
  padding-left: 80px;
  padding-right: 80px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
  -webkit-box-shadow: 0 3px 20px -8px rgba(0, 0, 0, 0.2);
          box-shadow: 0 3px 20px -8px rgba(0, 0, 0, 0.2);
}

body .nav-navbar h1, body .nav-navbar h2, body .nav-navbar h3, body .nav-navbar h4, body .nav-navbar h5, body .nav-navbar h6 {
  margin: 0;
}

body .nav-navbar .nav-item {
  width: 100%;
  padding: 10px 0;
  margin: auto;
}

body .nav-navbar .nav-item .logo h1 {
  color: #0075e2;
}

body .nav-navbar .nav-item .list-menu {
  width: 100%;
}

body .nav-navbar .nav-item .list-menu .list-item {
  padding-left: unset;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  width: 100%;
  margin: 0;
}

@media screen and (max-width: 768px) {
  body .nav-navbar .nav-item .list-menu .list-item {
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    margin-top: 30px;
  }
}

body .nav-navbar .nav-item .list-menu .list-item .item-menu {
  list-style: none;
  margin-left: auto;
}

@media screen and (max-width: 768px) {
  body .nav-navbar .nav-item .list-menu .list-item .item-menu {
    margin: 0 auto 30px;
  }
}

body .nav-navbar .nav-item .list-menu .list-item .item-menu a {
  min-width: 35px;
  display: block;
}

body .nav-navbar .nav-item .list-menu .list-item .item-menu a.insert {
  color: #ffffff;
  background: #0075e2;
  border: 2px solid #0075e2;
  border-radius: 5px;
  padding: 7px;
}

body .nav-navbar .nav-item .list-menu .list-item .item-menu a.insert:hover {
  opacity: 0.8;
  -webkit-box-shadow: 0 3px 20px -8px rgba(0, 0, 0, 0.2);
          box-shadow: 0 3px 20px -8px rgba(0, 0, 0, 0.2);
}

body .nav-navbar .nav-item .list-menu .list-item .item-menu a.insert:active {
  -webkit-transform: scale(0.9);
          transform: scale(0.9);
}

body .nav-navbar .nav-item .list-menu .list-item .item-menu a.logout {
  color: #ffffff;
  background: #e20000;
  border: 2px solid #e20000;
  border-radius: 5px;
  padding: 7px;
}

body .nav-navbar .nav-item .list-menu .list-item .item-menu a.logout:hover {
  opacity: 0.8;
  -webkit-box-shadow: 0 3px 20px -8px rgba(0, 0, 0, 0.2);
          box-shadow: 0 3px 20px -8px rgba(0, 0, 0, 0.2);
}

body .nav-navbar .nav-item .list-menu .list-item .item-menu a.logout:active {
  -webkit-transform: scale(0.9);
          transform: scale(0.9);
}

body .nav-navbar .nav-item .list-menu .list-item .item-menu a.item {
  color: #ffffff;
  background: #0075e2;
  border: 2px solid #0075e2;
  border-radius: 5px;
  padding: 7px;
}

body .nav-navbar .nav-item .list-menu .list-item .item-menu a.item:hover {
  opacity: 0.8;
  -webkit-box-shadow: 0 3px 20px -8px rgba(0, 0, 0, 0.2);
          box-shadow: 0 3px 20px -8px rgba(0, 0, 0, 0.2);
}

body .nav-navbar .nav-item .list-menu .list-item .item-menu a.item:active {
  -webkit-transform: scale(0.9);
          transform: scale(0.9);
}

body .nav-navbar .nav-item .list-menu .list-item .item-menu a i {
  display: block;
  width: -webkit-fit-content;
  width: -moz-fit-content;
  width: fit-content;
  margin: auto;
}

@media screen and (max-width: 768px) {
  body .nav-navbar .nav-item {
    text-align: center;
  }
}

body.home table {
  border-spacing: 0;
  border-radius: 5px;
  overflow: hidden;
  width: 100%;
  min-width: 1000px;
}

body.home table img {
  width: 50px;
}

body.home tr th:nth-child(odd) {
  background: #f8f8f8;
}

body.home tr td {
  padding-left: 30px;
  padding-right: 30px;
}

body.home tr td.aksi {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
}

body.home tr td.aksi a {
  border-radius: 50px;
  padding: 7px;
  margin: 5px;
}

body.home tr td.aksi a.edit {
  color: #0075e2;
  border: 2px solid #0075e2;
}

body.home tr td.aksi a.edit:hover {
  color: #ffffff;
  background: #0075e2;
  -webkit-box-shadow: 0 3px 20px -8px rgba(0, 0, 0, 0.2);
          box-shadow: 0 3px 20px -8px rgba(0, 0, 0, 0.2);
}

body.home tr td.aksi a.hapus {
  color: #e20000;
  border: 2px solid #e20000;
}

body.home tr td.aksi a.hapus:hover {
  color: #ffffff;
  background: #e20000;
  -webkit-box-shadow: 0 3px 20px -8px rgba(0, 0, 0, 0.2);
          box-shadow: 0 3px 20px -8px rgba(0, 0, 0, 0.2);
}

body.home tr:nth-child(odd) {
  background: #eeeeee;
}

body.home .table-scroll {
  border-radius: 5px;
  overflow: hidden;
  padding: 5px;
  -webkit-box-shadow: 0 3px 20px -8px rgba(0, 0, 0, 0.2);
          box-shadow: 0 3px 20px -8px rgba(0, 0, 0, 0.2);
  width: 100%;
  overflow: auto;
}

body.insert-new-book, body.edit-book, body.sign-up {
  background: #f8f8f8;
}

body.insert-new-book .container h2.title, body.edit-book .container h2.title, body.sign-up .container h2.title {
  color: #0075e2;
  text-align: center;
  margin-top: 0;
}

body.insert-new-book .container .form, body.edit-book .container .form, body.sign-up .container .form {
  margin: auto;
}

@media screen and (min-width: 769px) {
  body.insert-new-book .container .form, body.edit-book .container .form, body.sign-up .container .form {
    min-width: 600px;
    width: 50%;
  }
}

body.insert-new-book .container .form .form-insert, body.edit-book .container .form .form-insert, body.sign-up .container .form .form-insert {
  background: #ffffff;
  padding: 50px;
  border-radius: 5px;
  -webkit-box-shadow: 0 20px 30px -10px rgba(0, 0, 0, 0.2);
          box-shadow: 0 20px 30px -10px rgba(0, 0, 0, 0.2);
}

@media screen and (max-width: 768px) {
  body.insert-new-book .container .form .form-insert, body.edit-book .container .form .form-insert, body.sign-up .container .form .form-insert {
    background: unset;
  }
}

body.insert-new-book .container .form .form-insert .field-list, body.edit-book .container .form .form-insert .field-list, body.sign-up .container .form .form-insert .field-list {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  padding: 0;
}

body.insert-new-book .container .form .form-insert .field-list input, body.edit-book .container .form .form-insert .field-list input, body.sign-up .container .form .form-insert .field-list input {
  margin-bottom: 20px;
  background: transparent;
  padding: 10px;
  border: 0;
  border-bottom: 2px solid #aaaaaa;
}

body.insert-new-book .container .form .form-insert .field-list .checkbox, body.edit-book .container .form .form-insert .field-list .checkbox, body.sign-up .container .form .form-insert .field-list .checkbox {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
}

body.insert-new-book .container .form .form-insert .button, body.edit-book .container .form .form-insert .button, body.sign-up .container .form .form-insert .button {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
}

@media screen and (max-width: 768px) {
  body.insert-new-book .container .form .form-insert .button, body.edit-book .container .form .form-insert .button, body.sign-up .container .form .form-insert .button {
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-flow: column;
            flex-flow: column;
  }
}

body.insert-new-book .container .form .form-insert .button a, body.edit-book .container .form .form-insert .button a, body.sign-up .container .form .form-insert .button a {
  min-width: 35px;
  display: inline-block;
  margin-right: 10px;
}

body.insert-new-book .container .form .form-insert .button a.back, body.edit-book .container .form .form-insert .button a.back, body.sign-up .container .form .form-insert .button a.back {
  color: #ffffff;
  background: #0075e2;
  border: 2px solid #0075e2;
  border-radius: 5px;
  padding: 10px;
}

body.insert-new-book .container .form .form-insert .button a.back:hover, body.edit-book .container .form .form-insert .button a.back:hover, body.sign-up .container .form .form-insert .button a.back:hover {
  opacity: 0.8;
  -webkit-box-shadow: 0 3px 20px -8px rgba(0, 0, 0, 0.2);
          box-shadow: 0 3px 20px -8px rgba(0, 0, 0, 0.2);
}

body.insert-new-book .container .form .form-insert .button a.back:active, body.edit-book .container .form .form-insert .button a.back:active, body.sign-up .container .form .form-insert .button a.back:active {
  -webkit-transform: scale(0.9);
          transform: scale(0.9);
}

body.insert-new-book .container .form .form-insert .button a.back i, body.edit-book .container .form .form-insert .button a.back i, body.sign-up .container .form .form-insert .button a.back i {
  display: block;
  width: -webkit-fit-content;
  width: -moz-fit-content;
  width: fit-content;
  margin: auto;
}

@media screen and (max-width: 768px) {
  body.insert-new-book .container .form .form-insert .button a, body.edit-book .container .form .form-insert .button a, body.sign-up .container .form .form-insert .button a {
    -webkit-box-ordinal-group: 2;
        -ms-flex-order: 1;
            order: 1;
    margin: 0;
    margin-top: 10px;
  }
}

body.insert-new-book .container .form .form-insert .button button, body.edit-book .container .form .form-insert .button button, body.sign-up .container .form .form-insert .button button {
  font-weight: 600;
  color: #ffffff;
  background: #0075e2;
  border: 2px solid #0075e2;
  border-radius: 5px;
  padding: 10px;
  -webkit-transition: letter-spacing 300ms;
  transition: letter-spacing 300ms;
}

body.insert-new-book .container .form .form-insert .button button:hover, body.edit-book .container .form .form-insert .button button:hover, body.sign-up .container .form .form-insert .button button:hover {
  letter-spacing: 1px;
  opacity: 0.8;
  -webkit-box-shadow: 0 3px 20px -8px rgba(0, 0, 0, 0.2);
          box-shadow: 0 3px 20px -8px rgba(0, 0, 0, 0.2);
}

body.insert-new-book .container .form .form-insert .button button:active, body.edit-book .container .form .form-insert .button button:active, body.sign-up .container .form .form-insert .button button:active {
  -webkit-transform: scale(0.9);
          transform: scale(0.9);
}

@media screen and (max-width: 768px) {
  body.insert-new-book .container .form .form-insert .button button, body.edit-book .container .form .form-insert .button button, body.sign-up .container .form .form-insert .button button {
    width: 100%;
  }
}

body.insert-new-book .container .form .form-insert .button button i, body.edit-book .container .form .form-insert .button button i, body.sign-up .container .form .form-insert .button button i {
  margin-left: 10px;
}

body .text-error {
  color: red;
  font-style: italic;
  text-align: center;
}

body .list-item {
  padding-left: unset;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
  width: 100%;
  margin: 0;
}

body .list-item .item-menu {
  list-style: none;
}

@media screen and (max-width: 768px) {
  body .list-item .item-menu {
    max-width: 100%;
    margin: 0 auto 30px;
  }
}

body .list-item .item-menu a {
  min-width: 35px;
  display: block;
}

body .list-item .item-menu a.insert {
  color: #ffffff;
  background: #0075e2;
  border: 2px solid #0075e2;
  border-radius: 5px;
  padding: 7px;
}

body .list-item .item-menu a.insert:hover {
  opacity: 0.8;
  -webkit-box-shadow: 0 3px 20px -8px rgba(0, 0, 0, 0.2);
          box-shadow: 0 3px 20px -8px rgba(0, 0, 0, 0.2);
}

body .list-item .item-menu a.insert:active {
  -webkit-transform: scale(0.9);
          transform: scale(0.9);
}

body .list-item .item-menu a.item {
  color: #ffffff;
  background: #0075e2;
  border: 2px solid #0075e2;
  border-radius: 5px;
  padding: 7px;
}

body .list-item .item-menu a.item:hover {
  opacity: 0.8;
  -webkit-box-shadow: 0 3px 20px -8px rgba(0, 0, 0, 0.2);
          box-shadow: 0 3px 20px -8px rgba(0, 0, 0, 0.2);
}

body .list-item .item-menu a.item:active {
  -webkit-transform: scale(0.9);
          transform: scale(0.9);
}

body .list-item .item-menu a i {
  display: block;
  width: -webkit-fit-content;
  width: -moz-fit-content;
  width: fit-content;
  margin: auto;
}

body .list-item .search {
  position: relative;
  margin-bottom: 10px;
}

body .list-item .search * {
  border: 0;
  padding: 10px;
}

body .list-item .search input {
  width: 400px;
  max-width: 100%;
  background: #f7f7f7;
  border-radius: 5px;
}

body .list-item .search button {
  border-radius: 0 5px 5px 0;
}

body .list-item .search .loader {
  position: absolute;
  background: blue;
  right: 10px;
  top: calc(20%);
  width: 10px;
  height: 10px;
  opacity: 100%;
  border-radius: 50px;
  animation: loader 800ms ease-out infinite;
  -webkit-animation: loader 800ms ease-out infinite;
  -webkit-animation-delay: 300ms;
          animation-delay: 300ms;
  display: none;
}

body .pagination {
  margin-top: 10px;
  text-align: right;
}

body .pagination a {
  color: #444444;
  display: inline-block;
  width: 20px;
  border-radius: 5px;
  -webkit-box-shadow: 0 3px 20px -2px rgba(0, 0, 0, 0.2);
          box-shadow: 0 3px 20px -2px rgba(0, 0, 0, 0.2);
  text-align: center;
}

body .pagination a.aktif {
  color: #ffffff;
  background: #0075e2;
}

body .pagination a.disabled {
  pointer-events: none;
  opacity: 0.5;
}

body .small-text {
  font-size: 80%;
}

@media screen and (min-width: 769px) {
  .lg-block {
    display: initial;
  }
}

@media screen and (max-width: 768px) {
  .md-block {
    display: initial;
  }
}
/*# sourceMappingURL=style.css.map */